org.eclipse.net4j.util.registry

## Class Registry.Transaction

- java.lang.Object
- - org.eclipse.net4j.util.registry.Registry.Transaction

- Enclosing class:
    Registry<K,V>

      protected class Registry.Transaction
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(boolean notifications)`
    `void` | `increaseNesting()`
    `boolean` | `isOwned()`
    `void` | `rememberDeregistered(K key, V value)`
    `void` | `rememberRegistered(K key, V value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Transaction

          public Transaction()

  - ### Method Detail

    - #### isOwned

          public boolean isOwned()

    - #### increaseNesting

          public void increaseNesting()

    - #### commit

          public void commit(boolean notifications)

    - #### rememberRegistered

          public void rememberRegistered(K key,
                                         V value)

    - #### rememberDeregistered

          public void rememberDeregistered(K key,
                                           V value)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html